Package org.optaplanner.core.impl.score.stream.bavet.bi

## Class BavetFilterBiNode<A,​B>

- java.lang.Object
- - org.optaplanner.core.impl.score.stream.bavet.common.BavetAbstractNode
  - - org.optaplanner.core.impl.score.stream.bavet.bi.BavetAbstractBiNode<A,​B>
    - - org.optaplanner.core.impl.score.stream.bavet.bi.BavetFilterBiNode<A,​B>

- All Implemented Interfaces:
    `BavetNode`

      public final class BavetFilterBiNode<A,​B>
      extends BavetAbstractBiNode<A,​B>

- - ### Field Summary

    - ### Fields inherited from class org.optaplanner.core.impl.score.stream.bavet.common.BavetAbstractNode

      `nodeOrder, session`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BavetFilterBiNode​(BavetConstraintSession session, int nodeOrder, BavetAbstractBiNode<A,​B> parentNode, BiPredicate<A,​B> predicate)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addChildNode​(BavetAbstractBiNode<A,​B> childNode)` |
    `BavetFilterBiTuple<A,​B>` | `createTuple​(BavetAbstractBiTuple<A,​B> parentTuple)` |
    `boolean` | `equals​(Object o)` |
    `int` | `hashCode()` |
    `void` | `refresh​(BavetFilterBiTuple<A,​B> tuple)` |
    `String` | `toString()` |

    - ### Methods inherited from class org.optaplanner.core.impl.score.stream.bavet.common.BavetAbstractNode

      `getNodeOrder`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### BavetFilterBiNode

          public BavetFilterBiNode​(BavetConstraintSession session,
                                   int nodeOrder,
                                   BavetAbstractBiNode<A,​B> parentNode,
                                   BiPredicate<A,​B> predicate)

  - ### Method Detail

    - #### addChildNode

          public void addChildNode​(BavetAbstractBiNode<A,​B> childNode)

      Overrides:
        `addChildNode` in class `BavetAbstractBiNode<A,​B>`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `Object`

    - #### createTuple

          public BavetFilterBiTuple<A,​B> createTuple​(BavetAbstractBiTuple<A,​B> parentTuple)

      Specified by:
        `createTuple` in class `BavetAbstractBiNode<A,​B>`

    - #### refresh

          public void refresh​(BavetFilterBiTuple<A,​B> tuple)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`